/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Tcompras;

import java.math.BigInteger;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

/**
 * @author obper
 */
@Stateless
public class TcomprasFacade extends AbstractFacade<Tcompras> implements TcomprasFacadeLocal {

    @PersistenceContext(unitName = "wcosmodasPersistent")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public TcomprasFacade() {
        super(Tcompras.class);
    }

    @Override
    public Tcompras FindTcomp(String productoCodigo, String programaCodigo) {
        Query q = em.createNamedQuery("Tcompras.findMultiple");
        q.setParameter("productoCodigo", productoCodigo);
        q.setParameter("programaCodigo", programaCodigo);

        Tcompras rs = new Tcompras();

        if (!q.getResultList().isEmpty()) {
            rs = (Tcompras) q.getResultList().get(0);
        } else {
            rs.setCantidad(new BigInteger("0"));
        }

        return rs;
    }


}
